# Uses of Class
org.apache.sysds.hops.TernaryOp

Packages that use TernaryOp
Package
Description
org.apache.sysds.hops.rewrite

## Uses of TernaryOp in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite that return TernaryOp
Modifier and Type
Method
Description
`static TernaryOp`
HopRewriteUtils.`createTernary(Hop mleft, Hop smid, Hop mright, String opcode)`
`static TernaryOp`
HopRewriteUtils.`createTernary(Hop mleft, Hop smid, Hop mright, Types.OpOp3 op)`
`static TernaryOp`
HopRewriteUtils.`createTernary(Hop in1, Hop in2, Hop in3, Hop in4, Hop in5, Types.OpOp3 op)`